<?php 
 error_reporting(E_ALL); 
 ini_set("display_errors", 1); 
?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>..::::..Psycom..::::..</title>
<link href='http://fonts.googleapis.com/css?family=Asap' rel='stylesheet' type='text/css'>
<style>
body{
font-family: 'Asap', sans-serif;
}
</style>
</head>

<body>
<?php
$conexion = mysql_connect('localhost','psycom_admin','psycom1021');
mysql_select_db('psycom_users', $conexion);
var_dump($_GET);
die();
if($_GET['x']==1){
	echo '<center>
		<table width="100%">
		<tr><th width="100">Fecha de creacion</th><th>Nombre</th><th>Apellido</th><th>Usuario</th><th>Contrase&ntilde;a</th><th width="100">Fecha de ingreso</th><th>Acces&oacute; como:</th></tr>';

	$qry = mysql_query("SELECT * FROM usuarios");
	$cont=0;
	while ($x = mysql_fetch_array($qry)) {
		if($cont==0){
			echo "<tr>";
			echo "<td>" . $x['fecha_creacion'] . "</td>";
			echo "<td>" . $x['nombre'] . "</td>";
			echo "<td>" . $x['apellidos'] . "</td>";
			echo "<td>" . $x['usuario'] . "</td>";
			echo "<td>" . $x['password'] . "</td>";
			echo "<td>" . $x['fecha_ingreso'] . "</td>";
			echo "<td>" . $x['acceso'] . "</td>";
			echo "<td><a href='modificar.php?opcion=0&&id=" . $x['usuario_id'] . "' style='font-size:12px;'>Modificar</a></td>";
			echo "<td><a href='modificar.php?opcion=1&&id=" . $x['usuario_id'] . "' style='font-size:12px;'>Borrar</a></td>";
			echo "</tr>";
			$cont++;
		}else{
			echo "<tr>";
			echo "<td style='background-color:#AAAAAA'>" . $x['fecha_creacion'] . "</td>";
			echo "<td style='background-color:#AAAAAA'>" . $x['nombre'] . "</td>";
			echo "<td style='background-color:#AAAAAA'>" . $x['apellidos'] . "</td>";
			echo "<td style='background-color:#AAAAAA'>" . $x['usuario'] . "</td>";
			echo "<td style='background-color:#AAAAAA'>" . $x['password'] . "</td>";
			echo "<td style='background-color:#AAAAAA'>" . $x['fecha_ingreso'] . "</td>";
			echo "<td style='background-color:#AAAAAA'>" . $x['acceso'] . "</td>";
			echo "<td style='background-color:#AAAAAA; width:60px; font-size:12px;'><a href='modificar.php?opcion=0&&id=" . $x['usuario_id'] . "'>Modificar</a></td>";
			echo "<td style='background-color:#AAAAAA; width:50px; font-size:12px;'><a href='modificar.php?opcion=1&&id=" . $x['usuario_id'] . "'>Borrar</a></td>";
			echo "</tr>";
			$cont--;
		}
	}
			
}else if($_GET['x']==2){

		$buscar=$_POST['buscar'];
		
		if($_POST['filtro'] == '0' )
				$con ="select * from usuarios where nombre LIKE '$buscar%' OR apellidos LIKE '$buscar%' OR usuario LIKE '$buscar%'";
		else
			//if($buscar != '')
				$con ="select * from usuarios where {$_POST['filtro']} LIKE '$buscar%'";
				
		$qry2 = mysql_query($con);

		echo '<center>
			<table width="100%">
			<tr><th width="100">Fecha de creacion</th><th>Nombre</th><th>Apellido</th><th>Usuario</th><th>Contrase&ntilde;a</th><th width="100">Fecha de ingreso</th><th>Acces&oacute; como:</th></tr>';

		$cont=0;
		
		while ($y = mysql_fetch_array($qry2)) {
			if($cont==0){
				echo "<tr>";
				echo "<td>" . $y['fecha_creacion'] . "</td>";
				echo "<td>" . $y['nombre'] . "</td>";
				echo "<td>" . $y['apellidos'] . "</td>";
				echo "<td>" . $y['usuario'] . "</td>";
				echo "<td>" . $y['password'] . "</td>";
				echo "<td>" . $y['fecha_ingreso'] . "</td>";
				echo "<td>" . $y['acceso'] . "</td>";
				echo "<td><a href='modificar.php?opcion=0&&id=" . $y['usuario_id'] . "' style='font-size:12px;'>Modificar</a></td>";
				echo "<td><a href='modificar.php?opcion=1&&id=" . $y['usuario_id'] . "' style='font-size:12px;'>Borrar</a></td>";
				echo "</tr>";
				$cont++;
			}else{
				echo "<tr>";
				echo "<td style='background-color:#AAAAAA'>" . $y['fecha_creacion'] . "</td>";
				echo "<td style='background-color:#AAAAAA'>" . $y['nombre'] . "</td>";
				echo "<td style='background-color:#AAAAAA'>" . $y['apellidos'] . "</td>";
				echo "<td style='background-color:#AAAAAA'>" . $y['usuario'] . "</td>";
				echo "<td style='background-color:#AAAAAA'>" . $y['password'] . "</td>";
				echo "<td style='background-color:#AAAAAA'>" . $y['fecha_ingreso'] . "</td>";
				echo "<td style='background-color:#AAAAAA'>" . $y['acceso'] . "</td>";
				echo "<td style='background-color:#AAAAAA; width:60px; font-size:12px;'><a href='modificar.php?opcion=0&&id=" . $y['usuario_id'] . "'>Modificar</a></td>";
				echo "<td style='background-color:#AAAAAA; width:50px; font-size:12px;'><a href='modificar.php?opcion=1&&id=" . $y['usuario_id'] . "'>Borrar</a></td>";
				echo "</tr>";
				$cont--;
			}
		}
}
?>
</table>
</center>
</body>
</html>